/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __PHONE_PATH_H__
#define __PHONE_PATH_H__

#if !defined(IMGDIR)
#  define IMGDIR "/usr/ug/res/images/ug-"PACKAGE
#endif

#if !defined(EDJDIR)
#  define EDJDIR "/usr/ug/res/edje/ug-"PACKAGE
#endif

#if !defined(UGDATAIDR)
#  define UGDATAIDR "/opt/usr/ug/data/ug-"PACKAGE
#endif

#define PROGRESS_EDJ EDJDIR"/progress.edj"
#define DIALER_EDJ EDJDIR"/dialer.edj"
#define DIALER_THEME_EDJ EDJDIR"/dialer_theme.edj"
#define LOGDETAIL_THEME_EDJ EDJDIR"/logdetail_theme.edj"
#define SPEEDDIAL_THEME_EDJ EDJDIR"/speeddial_theme.edj"
#define CONTACTS_EDJ EDJDIR"/contacts.edj"
#define FAVORITES_THEME_EDJ EDJDIR"/favorites_theme.edj"
#define GROUP_THEME_EDJ EDJDIR"/group_theme.edj"
#define CONTACT_BUTTON_THEME_EDJ EDJDIR"/contact_button.edj"
#define IMAGE_LAYOUT_EDJ EDJDIR"/image_layout.edj"
#define LIST_THEME_EDJ EDJDIR"/list_theme.edj"
#define DETAIL_THEME_EDJ EDJDIR"/detail_theme.edj"
#define SELECTION_INFO_EDJ EDJDIR"/selectioninfo.edj"
#define NOCONTENT_LAYOUT_EDJ EDJDIR"/nocontent_layout.edj"


#define IMG_DEFAULT			IMGDIR"/caller_ID_default_70x70_man.png"
#define IMG_VOICEMAIL_ICON	IMGDIR"/C01-5_icon_voicecall.png"

#define IMG_ALL_BLOCKED_ICON	IMGDIR"/C01-4_icon_Blocked.png"
#define IMG_CALL_BLOCKED_ICON	IMGDIR"/C01-4_icon_call_blocked.png"
#define IMG_MESSAGE_BLOCKED_ICON	IMGDIR"/C01-4_icon_message_blocked.png"

#define PH_IMG_ICON_DIALER IMGDIR"/01_controlbar_icon_dialer.png"
#define PH_IMG_ICON_CONTACTS IMGDIR"/01_controlbar_icon_contacts.png"
#define PH_IMG_ICON_LOGS IMGDIR"/01_controlbar_icon_logs.png"
#define PH_IMG_ICON_GROUP IMGDIR"/01_controlbar_icon_groups.png"
#define PH_IMG_ICON_FAVORITE IMGDIR"/01_controlbar_icon_favorite.png"
#define PH_IMG_ICON_DONE IMGDIR"/01_controlbar_icon_save.png"
#define PH_IMG_ICON_EDIT IMGDIR"/01_controlbar_icon_edit.png"
#define PH_IMG_ICON_ADD IMGDIR"/01_controlbar_icon_create.png"
#define PH_IMG_ICON_MORE IMGDIR"/01_controlbar_icon_more.png"
#define PH_IMG_ICON_PHONE IMGDIR"/phone.png"
#define PH_IMG_ICON_CALL IMGDIR"/C02_button_icon_call.png"
#define PH_IMG_ICON_CALL_PRESS IMGDIR"/C02_button_icon_call_press.png"
#define PH_IMG_ICON_CALL_DIM IMGDIR"/C02_button_icon_call_dim.png"
#define PH_IMG_ICON_MESSAGE IMGDIR"/C02_button_icon_message.png"
#define PH_IMG_ICON_MESSAGE_PRESS IMGDIR"/C02_button_icon_message_press.png"
#define PH_IMG_ICON_MESSAGE_DIM IMGDIR"/C02_button_icon_messagedim.png"
#define PH_IMG_ICON_VIDEOCALL IMGDIR"/C02_button_icon_videocall.png"
#define PH_IMG_ICON_VIDEOCALL_PRESS IMGDIR"/C02_button_icon_videocall_press.png"
#define PH_IMG_ICON_VIDEOCALL_DIM IMGDIR"/C02_button_icon_videocall_call_dim.png"
#define PH_IMG_ICON_CHAT_ON IMGDIR"/C02_icon_chat_on.png"
#define PH_IMG_ICON_FILETRANSFER IMGDIR"/C02_icon_filetransfer.png"

#define PH_IMG_CIRCLE_ICON_CALL IMGDIR"/C02_circle_icon_call.png"
#define PH_IMG_ICON_CALL_PRESSED IMGDIR"/C02_circle_icon_call_press.png"
#define PH_IMG_ICON_SMS IMGDIR"/C02_circle_icon_sms.png"
#define PH_IMG_ICON_SMS_PRESSED IMGDIR"/C02_circle_icon_sms_press.png"
#define PH_IMG_ICON_VCALL IMGDIR"/C02_circle_icon_vt-call.png"
#define PH_IMG_ICON_VCALL_PRESSED IMGDIR"/C02_circle_icon_vt-call_press.png"

#define PH_IMG_ICON_LOGTYPE_MISSED	IMGDIR"/C01-4_controlbar_icon_missed_call.png"
#define PH_IMG_ICON_LOGTYPE_ALL	IMGDIR"/C01-4_controlbar_icon_all.png"
#define PH_IMG_ICON_CREATE_CONTACT	IMGDIR"/C01-4_controlbar_icon_create.png"
#define PH_IMG_ICON_DELETE	IMGDIR"/C02_button_icon_delete.png"
#define PH_IMG_ICON_SET_BLOCK	IMGDIR"/C01-4_controlbar_icon_view_block.png"
#define PH_IMG_ICON_VIEW_CONTACT	IMGDIR"/C01-4_controlbar_icon_view_contacts.png"

#define CTUI_IMG_ICON_ADD_ACCOUNTS IMGDIR"/01_controlbar_icon_add_account.png"
#define CTUI_IMG_ICON_ADD_FAVORITE IMGDIR"/01_controlbar_icon_add-to-bookmarks.png"
#define CTUI_IMG_ICON_CREATE_GROUP IMGDIR"/01_controlbar_icon_exchangs_register.png"
#define CTUI_IMG_ICON_ADD_TO_CONTACTS IMGDIR"/01_controlbar_icon_add_to_contact.png"
#define CTUI_IMG_ICON_CLOSE IMGDIR"/01_controlbar_icon_close.png"
#define CTUI_IMG_ICON_EXPAND_OPENED IMGDIR"/00_button_icon_expand_opened.png"
#define CTUI_IMG_ICON_EXPAND_CLOSED IMGDIR"/00_button_icon_expand_closed.png"
#define CTUI_IMG_ICON_VIEW IMGDIR"/01_controlbar_icon_bluetooth_preview.png"
#define CTUI_IMG_ICON_RESET IMGDIR"/C02_icon_reset.png"
#define CTUI_IMG_ICON_ADD_GROUP IMGDIR"/C02_icon_add_group.png"
#define CTUI_IMG_ICON_FAVORITE IMGDIR"/C02_favorite_icon.png"
#define CTUI_IMG_ICON_CIRCLE IMGDIR"/C02_circle_button.png"
#define CTUI_IMG_ICON_CIRCLE_PRESSED IMGDIR"/C02_circle_button_press.png"
#define CTUI_IMG_ICON_CALL IMGDIR"/C02_circle_icon_call.png"
#define CTUI_IMG_ICON_CALL_PRESSED IMGDIR"/C02_circle_icon_call_press.png"
#define CTUI_IMG_ICON_SMS IMGDIR"/C02_circle_icon_sms.png"
#define CTUI_IMG_ICON_SMS_PRESSED IMGDIR"/C02_circle_icon_sms_press.png"
#define CTUI_IMG_ICON_VCALL IMGDIR"/C02_circle_icon_vt-call.png"
#define CTUI_IMG_ICON_VCALL_PRESSED IMGDIR"/C02_circle_icon_vt-call_press.png"
#define CTUI_IMG_ICON_PREVIOUS IMGDIR"/01_controlbar_icon_previous.png"
#define CTUI_IMG_ICON_NEXT IMGDIR"/01_controlbar_icon_next.png"

#define CTUI_IMG_ICON_EMAIL IMGDIR"/email.png"
#define CTUI_IMG_ICON_MESSAGE IMGDIR"/message.png"

#define CTUI_IMG_CHECK IMGDIR"/00_check_checking.png"
#define CTUI_IMG_DEFAULT_PHOTO_SMALL IMGDIR"/caller_ID_default_96x96.png"
#define CTUI_IMG_DEFAULT_PHOTO_BIG IMGDIR"/caller_ID_default_128x128.png"
#define CTUI_IMG_PHOTO_EDIT IMGDIR"/caller_ID_edit.png"
#define CTUI_IMG_INPUT_PLUS IMGDIR"/00_button_plus.png"
#define CTUI_IMG_INPUT_GALLERY IMGDIR"/C02_caller_id_icon_gallery.png"
#define CTUI_IMG_INPUT_GALLERY_PRESSED IMGDIR"/C02_caller_id_icon_gallery_press.png"
#define CTUI_IMG_INPUT_CAMERA IMGDIR"/C02_caller_id_icon_camera.png"
#define CTUI_IMG_INPUT_CAMERA_PRESSED IMGDIR"/C02_caller_id_icon_camera_press.png"

#define CTUI_IMG_ACC_PHONE IMGDIR"/C02_account_00.png"
#define CTUI_IMG_ACC_GOOGLE IMGDIR"/C02_account_01.png"
#define CTUI_IMG_ACC_FACEBOOK IMGDIR"/C02_account_02.png"
#define CTUI_IMG_ACC_YAHOO IMGDIR"/C02_account_03.png"
#define CTUI_IMG_ACC_EXCHANGE IMGDIR"/C02_account_04.png"
#define CTUI_IMG_ACC_DEFAULT IMGDIR"/C02_account_default.png"
#define CTUI_IMG_ACC_RCS IMGDIR"/C04_icon_joyn.png"
#define CTUI_IMG_ACC_SIM IMGDIR"/C02_account_sim.png"
#endif //__PHONE_PATH_H__

