/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __CT_FRONT_H__
#define __CT_FRONT_H__

#include <app.h>

enum {
	CT_FRONT_CONTACT_NEW,
	CT_FRONT_CONTACT_ADDR,
	CT_FRONT_CONTACT_SEARCH,
	CT_FRONT_GROUP_MESSAGE,
	CT_FRONT_GROUP_EMAIL,
	CT_FRONT_GROUP_DETAIL,
};

enum CT_VIEW_TYPE {
	CT_VIEW_NONE = -1,
	CT_VIEW_CONTACT,
	CT_VIEW_LOG,
	CT_VIEW_GROUP,
	CT_VIEW_FAVORITE,
	CT_VIEW_MAX,
};

typedef struct
{
	Evas_Object *win;
	Evas_Object *navi;
	Evas_Object *layout;
	Evas_Object *tabbar;
	Evas_Object *sub_view[CT_VIEW_MAX];
	Elm_Object_Item *item[CT_VIEW_MAX];
	bool view_visible[CT_VIEW_MAX];
	void *ug;
	char *ug_data;
	int ug_request;
	int cnt_max;
	int select_tab;
	int auto_rorate_screen;
	app_device_orientation_e rotate;
	Ecore_Idler *idler;
	Ecore_Timer *timer;
}ct_front_data;

ct_front_data* ctui_front_view_create(Evas_Object *win);
Eina_Bool ctui_front_view_load_timer(void *data);
void ctui_front_view_region_changed(ct_front_data *cfront_d);
void ctui_front_view_reset(ct_front_data *cfront_d, int tab_index, int op, service_h service);
void ctui_front_view_language_changed(ct_front_data *cfront_d);
void ctui_front_view_resume(ct_front_data *cfront_d);
void ctui_front_view_pause(ct_front_data *cfront_d);
int ctui_front_view_rotate(ct_front_data *cfront_d, app_device_orientation_e orientation);

#endif /* __CT_FRONT_H__ */

