/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __CONTACTS_INPUT_UTILS_H__
#define __CONTACTS_INPUT_UTILS_H__

int ct_input_get_base_ab(void);
void ct_input_camera(ct_input_data *cinput_d);
void ct_input_gallery(ct_input_data *cinput_d);
void ct_input_myfile_ringtone(void *data, Evas_Object *obj, void *event_info);
void ct_input_myfile_vibration(void *data, Evas_Object *obj, void *event_info);
void ct_input_save_cb(void *data, Evas_Object *obj, void *event_info);
int ct_input_get_number_type(int ct_num_type);
void ct_input_entry_changed_cb(void *data, Evas_Object *obj, void *event_info);
Evas_Object* ct_input_add_editfield(Evas_Object *parent, const char* guide_txt, Evas_Smart_Cb unfocused_cb, void *unfocused_cb_data);
int ct_input_next_number_type(contacts_record_h record_contact);
int ct_input_next_email_type(contacts_record_h record_contact);
int ct_input_next_address_type(contacts_record_h record_contact);
int ct_input_next_web_type(contacts_record_h record_contact);
int ct_input_next_messenger_type(contacts_record_h record_contact);
int ct_input_next_relationship_type(contacts_record_h record_contact);
int ct_input_next_event_type(contacts_record_h record_contact);
void ct_input_custom_type_rename_cb(void *data, char *str);

enum {
	INPUT_LAYOUT_NONE,
	INPUT_LAYOUT_RENAME,
	INPUT_LAYOUT_EDIT,
};
Evas_Object* ct_input_create_dg_layout(Evas_Object *parent, const char *theme);
void ct_input_typed_layout_del_cb(void *data, Evas *e, Evas_Object *obj, void *event_info);
void ct_input_update_ringtone(contacts_record_h record_contact, Evas_Object *layout);
void ct_input_update_vibration(contacts_record_h record_contact, Evas_Object *layout);
unsigned int ct_input_box_idx_get(Evas_Object *box, Evas_Object *obj);
void ct_input_update_group(void *data);
void ct_input_save_button_update(ct_input_data *cinput_d);
void ct_input_add_name_field(Evas_Object *editfield, ct_input_data *cinput_d);
int ct_input_get_full_address(contacts_record_h record_postal, char *buf, int buf_len);

contacts_record_h ct_input_get_record_nickname(contacts_record_h record_contact);
contacts_record_h ct_input_get_record_name(contacts_record_h record_contact);
contacts_record_h ct_input_get_record_company(contacts_record_h record_contact);
contacts_record_h ct_input_get_record_note(contacts_record_h record_contact);
contacts_record_h ct_input_new_record(contacts_record_h contact, int property_id, const char *view_uri);
contacts_record_h ct_input_new_record_address(contacts_record_h contact);
contacts_record_h ct_input_new_record_web(contacts_record_h contact);
contacts_record_h ct_input_new_record_event(contacts_record_h contact);
contacts_record_h ct_input_new_record_number(contacts_record_h contact);
contacts_record_h ct_input_new_record_email(contacts_record_h contact);
contacts_record_h ct_input_new_record_messenger(contacts_record_h contact);
contacts_record_h ct_input_new_record_relationship(contacts_record_h contact);
void ct_input_remove_empty_fields(contacts_record_h record_contact);

#endif //__CONTACTS_INPUT_UTILS_H__
