/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __PH_LOG_DETAIL_VIEW_H_
#define __PH_LOG_DETAIL_VIEW_H_

typedef struct
{
	Evas_Object *win;
	Evas_Object *navi;
	Evas_Object *layout;
	Evas_Object *genlist;
	Evas_Object *popup;
	Elm_Object_Item *top_item;
	Elm_Object_Item *block_item;
	char *log_display;
	char *log_number;
	char *log_img_path;
	int contact_id;	//in terms of contacts_service, this is "person_id"
	int start_plog_id;
	int log_num_type;
	int log_list_count;
	Eina_List *log_list;
	Ecore_Idler *idler;
	void *ug;
	void *child_ug;
	ph_log_data *log_d;
	Elm_Theme *th;
}ph_log_detail_data;

Evas_Object *ph_create_log_detail_view(ph_log_data *log_d, ph_log_info *l_info);
void ph_log_detail_get_block_info(ph_log_detail_data *logdetail_d);
void ph_log_detail_update(ph_log_data *log_d);
void ph_log_detail_set_toolbar(ph_log_detail_data *logdetail_d);


#endif /* __PH_LOG_DETAIL_VIEW_H_ */
