/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#include "phone.h"
#include "ph-log-utils.h"
#include <feedback.h>

#include <vconf.h>
#include <vconf-keys.h>

contacts_error_e ph_log_util_del_log_by_id(Eina_List *list,	ph_log_info *l_info)
{
	PH_FN_CALL;
	Eina_List *l;
	Elm_Object_Item *item;
	contacts_error_e err = CONTACTS_ERROR_NONE;

	l = eina_list_data_find_list(list, l_info);
	item = l_info->item;
	EINA_LIST_FOREACH(l, l, l_info) {
		if (item != l_info->item)
			break;
		err = contacts_db_delete_record( _contacts_phone_log._uri, l_info->id);
		if (CONTACTS_ERROR_NONE != err)
			break;
	}
	return err;
}

void ph_log_util_svi_play(int vibration_key, int sound_key)
{
	int effect_status = FALSE;
	vconf_get_bool(VCONFKEY_SETAPPL_SOUND_STATUS_BOOL, &effect_status);
	if (effect_status)
		feedback_play_type(FEEDBACK_TYPE_SOUND, sound_key);

	vconf_get_bool(VCONFKEY_SETAPPL_VIBRATION_STATUS_BOOL, &effect_status);
	if (effect_status)
		feedback_play_type(FEEDBACK_TYPE_VIBRATION, vibration_key);
}