Name:       phone
Summary:    Phone Application and gadgets
Version:    0.6.63.21
Release:    1
Group:      devel
License:    Flora Software License
URL:        N/A
Source0:    %{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(appcore-efl)
BuildRequires:  pkgconfig(contacts-service2)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(heynoti)
BuildRequires:  pkgconfig(ui-gadget-1)
BuildRequires:  pkgconfig(tapi)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(notification)
BuildRequires:  pkgconfig(ecore-x)
BuildRequires:  pkgconfig(ecore-input)
BuildRequires:  pkgconfig(ecore)
BuildRequires:  pkgconfig(evas)
BuildRequires:  pkgconfig(eina)
BuildRequires:  pkgconfig(libprivilege-control)
BuildRequires:  pkgconfig(accounts-svc)
BuildRequires:  pkgconfig(msg-service)
BuildRequires:  pkgconfig(syspopup-caller)
BuildRequires:  pkgconfig(capi-appfw-application)
BuildRequires:  pkgconfig(capi-system-runtime-info)
#BuildRequires:  pkgconfig(capi-uix-feedback)
BuildRequires:  pkgconfig(feedback)
BuildRequires:  pkgconfig(cert-svc)
BuildRequires:  pkgconfig(cert-svc-vcore)
BuildRequires: pkgconfig(capi-appfw-app-manager)
BuildRequires:  pkgconfig(capi-system-info)
BuildRequires: pkgconfig(capi-content-media-content)
BuildRequires: pkgconfig(utilX)

BuildRequires:  cmake
BuildRequires:  edje-bin
BuildRequires:  embryo-bin
BuildRequires:  gettext-devel

%description
Phone application.

%package -n org.tizen.phone
Summary:    Phone application
Group:      Development/Libraries

%description -n org.tizen.phone
Phone application.

%package -n org.tizen.contacts
Summary:    Contacts launcher
Group:      Development/Libraries
Requires: libmm-sound
Requires: ug-bluetooth-efl

%description -n org.tizen.contacts
Contacts launcher

%package -n org.tizen.contacts-appservice
Summary:    Contacts appservice
Group:      Development/Libraries

%description -n org.tizen.contacts-appservice
Contacts appservice

%package -n org.tizen.contacts-viewer
Summary:    Contacts viewer application
Group:      Development/Libraries

%description -n org.tizen.contacts-viewer
Contacts viewer application

%package -n libug-phone-efl
Summary:    Phone UI gadget library
Group:      devel

%description -n libug-phone-efl
Phone UI gadget library.

%package -n libug-contacts-devel
Summary:    Phone UI gadget Header
Group:      devel
Requires:   libug-phone-efl = %{version}-%{release}

%description -n libug-contacts-devel
Phone UI gadget Header.

%package -n libug-phone-devel
Summary:    Phone UI gadget Header
Group:      devel
Requires:   libug-phone-efl = %{version}-%{release}

%description -n libug-phone-devel
Phone UI gadget Header.


%prep
%setup -q

%build
%define PREFIX    "/usr/apps/org.tizen.phone"
cmake . -DCMAKE_INSTALL_PREFIX=%{PREFIX}
make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install

%post -n libug-phone-efl
mkdir -p /opt/usr/ug/data
mkdir -p /opt/usr/ug/data/ug-phone
chgrp 6005 -R /opt/usr/ug/data/ug-phone
chmod 770 -R /opt/usr/ug/data/ug-phone
mkdir -p /usr/ug/bin/
ln -sf /usr/bin/ug-client /usr/ug/bin/contacts-details-efl
ln -sf /usr/bin/ug-client /usr/ug/bin/contacts-list-efl
ln -sf /usr/bin/ug-client /usr/ug/bin/contacts-settings-efl
ln -sf /usr/bin/ug-client /usr/ug/bin/contacts-tabui-efl
ln -sf /usr/bin/ug-client /usr/ug/bin/dialer-efl
ln -sf /usr/bin/ug-client /usr/ug/bin/phone-tabui-efl
ln -sf /usr/bin/ug-client /usr/ug/bin/speeddial-efl

%post -n org.tizen.phone
mkdir /opt/usr/apps/org.tizen.phone
cp -fr /usr/apps/org.tizen.phone/data /opt/usr/apps/org.tizen.phone
chown -R 5000:5000 /opt/usr/apps/org.tizen.phone/data

%post -n org.tizen.contacts
mkdir -p /opt/usr/apps/org.tizen.contacts
cp -fr /usr/apps/org.tizen.contacts/data /opt/usr/apps/org.tizen.contacts
chown -R 5000:5000 /opt/usr/apps/org.tizen.contacts/data

%post -n org.tizen.contacts-viewer
mkdir -p /opt/usr/apps/org.tizen.contacts-viewer
cp -fr /usr/apps/org.tizen.contacts-viewer/data /opt/usr/apps/org.tizen.contacts-viewer
chown -R 5000:5000 /opt/usr/apps/org.tizen.contacts-viewer/data



%postun

%files -n org.tizen.phone
%manifest org.tizen.phone.manifest
%defattr(-,root,root,-)
/usr/apps/org.tizen.phone/*
#/usr/share/packages/org.tizen.phone.xml
/usr/share/icons/default/small/org.tizen.phone.png
/usr/ug/lib/libug-speeddial-efl.*
/usr/ug/lib/libug-dialer-efl.*
/usr/ug/lib/libug-phone-tabui-efl.*
#/opt/share/applications/*.desktop
/usr/share/packages/*.xml


%files -n org.tizen.contacts
%manifest org.tizen.contacts.manifest
%defattr(-,root,root,-)
/usr/apps/org.tizen.contacts/*
#/usr/share/packages/org.tizen.contacts.xml
/usr/share/icons/default/small/org.tizen.contacts.png
/usr/ug/lib/libug-contacts-tabui-efl.*
/usr/ug/lib/libug-contacts-settings-efl.*
#/opt/share/applications/*.desktop
/usr/share/packages/*.xml
#/usr/share/locale/*

%files -n org.tizen.contacts-appservice
%manifest org.tizen.contacts-appservice.manifest
%defattr(-,root,root,-)
/usr/apps/org.tizen.contacts-appservice/*
/usr/share/packages/org.tizen.contacts-appservice.xml
/usr/share/icons/default/small/org.tizen.contacts-appservice.png

%files -n org.tizen.contacts-viewer
%manifest org.tizen.contacts-viewer.manifest
%defattr(-,root,root,-)
/usr/apps/org.tizen.contacts-viewer/*
/usr/share/packages/org.tizen.contacts-viewer.xml
/usr/share/icons/default/small/org.tizen.contacts-viewer.png
#/usr/share/locale/*

%files -n libug-phone-efl
%manifest libug-phone-efl.manifest
%defattr(-,root,root,-)
/usr/ug/res/images/*
/usr/ug/res/edje/*
/usr/ug/res/locale/*
/usr/ug/lib/libug-contacts-list-efl.*
/usr/ug/lib/libug-contacts-details-efl.*
/usr/ug/lib/libug-phonelog-efl.*

%files -n libug-contacts-devel
%defattr(-,root,root,-)
/usr/include/contacts-ug.h

%files -n libug-phone-devel
%defattr(-,root,root,-)
/usr/include/phone-ug.h
